#ifndef YOLO3_H_
#define YOLO3_H_
#include "tensorOperate.h"
#include "oneStageDetLayer.h"
#include "commStruct.h"

class YOLO3Layer : public OneStageDetLayer
{
    public:
        YOLO3Layer(int ifType, int iID, int iMaxSeqNum, LayerType iLayType, DevicesBatchDisptach *iDevicesBatchDisptach, \
                   SLTYPE lossType, int netClassNum, int iKeepTopMatchNum);
        void CreateDefaultBox();
        int PositiveSampleSelect(int devID, int n, int idx);
        void NegativeSampleSelect(int devID, int n, int pNum, int idx);
};
#endif
